Inhalte

# Anweisung DefInt

Legt den Standard-Variablentyp für Variablen fest, deren Name mit bestimmten Zeichen (dem angegebenen Zeichenbereich) anfängt, deren Typ jedoch nicht explizit durch ein Typ-Deklarationszeichen oder ein Schlüsselwort definiert wird.

### Syntax:

        {DefBool|DefCur|DefDate|DefDbl|DefErr|DefInt|DefLng|DefObj|DefStr|DefSng|DefVar} {char|char-char}[,...]

### Parameter:

char: Buchstabenpräfix, das den Standarddatentyp für Variablen festlegt.

char-char: Buchstabenbereichspräfixe, die den Standarddatentyp für Variablen festlegen.

### Beispiel:

        ' Präfixdefinitionen für Variablentypen:
        DefBool b
        DefCur c,l-m
        DefDate t
        DefDbl f
        DefErr e
        DefInt i-k,N
        DefLng x-z, D
        DefObj U, o-R
        DefSng w,a
        DefStr s
        DefVar V,g

      Sub ExampleDefInt
          iCount=200 ' iCount ist eine implizite ganzzahlige Variable
          Print kilos, Typename(number), VarType(Java) ' Ergebnis ist: 0 Integer 2
      End Sub

Bitte unterstützen Sie uns!